GET
/prod/inputDeviceTransfers#transferType
http://medialive.{region}.amazonaws.com/prod/inputDeviceTransfers#transferTypeList input devices that are currently being transferred. List input devices that you are transferring from your AWS account or input devices that another AWS account is transferring to you.
Access Token Required: API Key
Query Params
maxResultsinteger
nextTokenstring
transferTypestringrequired
MaxResultsstring
Pagination limit
NextTokenstring
Pagination token
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://medialive.{region}.amazonaws.com/prod/inputDeviceTransfers#transferType' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}